# Generated by Django 2.0.5 on 2022-02-18 14:12

from django.db import migrations


def transfer_fields_data(apps, schema_editor):
    StatusMeeting = apps.get_model("project_management", "StatusMeeting")
    KickoffMeeting = apps.get_model("project_management", "KickoffMeeting")
    MeetingTemplate = apps.get_model("project_management", "MeetingTemplate")

    for status_meeting in StatusMeeting.objects.all():
        status_meeting_agenda_topics = []
        agenda_topics = status_meeting.agenda_topics or []
        for agenda_topic in agenda_topics:
            new_topic = {
                "topic": agenda_topic,
                "notes": ""
            }
            status_meeting_agenda_topics.append(new_topic)
        status_meeting.agenda_topics_json = status_meeting_agenda_topics
        status_meeting.save()

    for kickoff_meeting in KickoffMeeting.objects.all():
        kickoff_meeting_agenda_topics = []
        agenda_topics = kickoff_meeting.agenda_topics or []
        for agenda_topic in agenda_topics:
            new_topic = {
                "topic": agenda_topic,
                "notes": ""
            }
            kickoff_meeting_agenda_topics.append(new_topic)
        kickoff_meeting.agenda_topics_json = kickoff_meeting_agenda_topics
        kickoff_meeting.save()

    for meeting_template in MeetingTemplate.objects.all():
        meeting_template_agenda_topics = []
        agenda_topics = meeting_template.agenda_topics or []
        for agenda_topic in agenda_topics:
            new_topic = {
                "topic": agenda_topic,
                "notes": ""
            }
            meeting_template_agenda_topics.append(new_topic)
        meeting_template.agenda_topics_json = meeting_template_agenda_topics
        meeting_template.save()


class Migration(migrations.Migration):

    dependencies = [
        ('project_management', '0018_auto_20220218_1404'),
    ]

    operations = [
        migrations.RunPython(transfer_fields_data, reverse_code=migrations.RunPython.noop),
    ]
